task hisat2 {
  File idx
  File read_1P
  File read_2P
  String idx_prefix
  String sample_id
  String docker
  String cluster
  String disk_size
   

  command {
    nt=$(nproc)
    hisat2 -t -p $nt -x ${idx}/${idx_prefix} -1 ${read_1P} -2 ${read_2P} -S ${sample_id}.sam  --un-conc-gz ${sample_id}_un.fq.gz
  }
   
  runtime { 
    docker: docker
    cluster: cluster
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File sam=sample_id + ".sam"
    File unmapread_1p=sample_id + "_un.fq.1.gz"
    File unmapread_2p=sample_id + "_un.fq.2.gz"
  }
}
