task qualimap {
  File bam
  File gtf
  String bamname=basename(bam, ".sorted.bam")
  String docker
  String cluster
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    /opt/qualimap/qualimap bamqc -bam ${bam} -outformat HTML -nt $nt -outdir ${bamname}_bamqc --java-mem-size=32G 
    tar -zcf ${bamname}_bamqc_qualimap.tar.gz ${bamname}_bamqc
  >>>

  runtime {
    docker: docker
    cluster: cluster
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File bamqc_gz="${bamname}_bamqc_qualimap.tar.gz"
  }
}